Package ru.bitel.bgbilling.modules.bill.server.bean

# Class BillDoc

java.lang.Object
ru.bitel.bgbilling.modules.bill.server.bean.BillDoc

Direct Known Subclasses:
  `Bill`, `Invoice`

    public class BillDoc
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `BillDoc()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getAddress()` |
  `BankAccount` | `getBankAccount()` |
  `java.lang.String` | `getContractComment()` |
  `int` | `getContractId()` |
  `java.lang.String` | `getContractTitle()` |
  `int` | `getCorrection()` |
  `java.util.Date` | `getCreateDate()` |
  `org.w3c.dom.Document` | `getDocument()` |
  `java.lang.String` | `getFormatNumber()` |
  `int` | `getId()` |
  `int` | `getMm()` |
  `int` | `getNpid()` |
  `int` | `getNumber()` |
  `int` | `getNumberInMonth()` |
  `int` | `getNumberInYear()` |
  `Organization` | `getOrganization()` |
  `java.util.List<PositionValue>` | `getPositionList()` |
  `java.lang.String` | `getRecipient()` |
  `java.math.BigDecimal` | `getSumm()` |
  `int` | `getTypeId()` |
  `java.lang.String` | `getTypeTitle()` |
  `int` | `getUid()` | Deprecated.
  `int` | `getUserId()` | Получить код создавшего пользователя
  `java.lang.String` | `getUserName()` |
  `org.w3c.dom.Document` | `getXml()` | Deprecated. использовать `getDocument()`
  `byte[]` | `getXmlData()` |
  `int` | `getYy()` |
  `void` | `setAddress​(java.lang.String address)` |
  `void` | `setBankAccount​(BankAccount bankAccount)` |
  `void` | `setContractComment​(java.lang.String contractComment)` |
  `void` | `setContractId​(int contractId)` |
  `void` | `setContractTitle​(java.lang.String contractTitle)` |
  `void` | `setCorrection​(int correction)` |
  `void` | `setCreateDate​(java.util.Date createDate)` |
  `void` | `setDocument​(org.w3c.dom.Document document)` |
  `void` | `setFormatNumber​(java.lang.String formatNumber)` |
  `void` | `setId​(int id)` |
  `void` | `setMm​(int mm)` |
  `void` | `setNpid​(int npid)` |
  `void` | `setNumber​(int number)` |
  `void` | `setNumberInMonth​(int numberInMonth)` |
  `void` | `setNumberInYear​(int numberInYear)` |
  `void` | `setOrganization​(Organization organization)` |
  `void` | `setPositionList​(java.util.List<PositionValue> positionList)` |
  `void` | `setRecipient​(java.lang.String recipient)` |
  `void` | `setSumm​(java.math.BigDecimal summ)` |
  `void` | `setTypeId​(int typeId)` |
  `void` | `setTypeTitle​(java.lang.String typeTitle)` |
  `void` | `setUid​(int userId)` | Deprecated.
  `void` | `setUserId​(int userId)` | Установить код создавшего пользователя
  `void` | `setUserName​(java.lang.String userName)` |
  `void` | `setXml​(org.w3c.dom.Document document)` | Deprecated. использовать `setDocument(Document)`
  `void` | `setXmlData​(byte[] xmlData)` |
  `void` | `setYy​(int yy)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BillDoc

    public BillDoc()

- ## Method Details

  - ### getDocument

    public org.w3c.dom.Document getDocument()

  - ### setDocument

    public void setDocument​(org.w3c.dom.Document document)

  - ### getXmlData

    public byte[] getXmlData()

  - ### setXmlData

    public void setXmlData​(byte[] xmlData)

  - ### getXml

    @Deprecated public org.w3c.dom.Document getXml()
    Deprecated.
    использовать `getDocument()`
    Returns:

  - ### setXml

    @Deprecated public void setXml​(org.w3c.dom.Document document)
    Deprecated.
    использовать `setDocument(Document)`
    Parameters:
      `document` -

  - ### getNumber

    public int getNumber()

  - ### setNumber

    public void setNumber​(int number)

  - ### getId

    public int getId()

  - ### setId

    public void setId​(int id)

  - ### getNumberInMonth

    public int getNumberInMonth()

  - ### setNumberInMonth

    public void setNumberInMonth​(int numberInMonth)

  - ### getNumberInYear

    public int getNumberInYear()

  - ### setNumberInYear

    public void setNumberInYear​(int numberInYear)

  - ### getFormatNumber

    public java.lang.String getFormatNumber()

  - ### setFormatNumber

    public void setFormatNumber​(java.lang.String formatNumber)

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId​(int contractId)

  - ### getContractTitle

    public java.lang.String getContractTitle()

  - ### setContractTitle

    public void setContractTitle​(java.lang.String contractTitle)

  - ### getContractComment

    public java.lang.String getContractComment()

  - ### setContractComment

    public void setContractComment​(java.lang.String contractComment)

  - ### getMm

    public int getMm()

  - ### setMm

    public void setMm​(int mm)

  - ### getYy

    public int getYy()

  - ### setYy

    public void setYy​(int yy)

  - ### getSumm

    public java.math.BigDecimal getSumm()

  - ### setSumm

    public void setSumm​(java.math.BigDecimal summ)

  - ### getTypeId

    public int getTypeId()

  - ### setTypeId

    public void setTypeId​(int typeId)

  - ### getTypeTitle

    public java.lang.String getTypeTitle()

  - ### setTypeTitle

    public void setTypeTitle​(java.lang.String typeTitle)

  - ### getAddress

    public java.lang.String getAddress()

  - ### setAddress

    public void setAddress​(java.lang.String address)

  - ### getRecipient

    public java.lang.String getRecipient()

  - ### setRecipient

    public void setRecipient​(java.lang.String recipient)

  - ### getUid

    @Deprecated public int getUid()
    Deprecated.

  - ### getUserId

    public int getUserId()
    Получить код создавшего пользователя

  - ### setUid

    @Deprecated public void setUid​(int userId)
    Deprecated.

  - ### setUserId

    public void setUserId​(int userId)
    Установить код создавшего пользователя

  - ### getUserName

    public java.lang.String getUserName()

  - ### setUserName

    public void setUserName​(java.lang.String userName)

  - ### getPositionList

    public java.util.List<PositionValue> getPositionList()

  - ### setPositionList

    public void setPositionList​(java.util.List<PositionValue> positionList)

  - ### getCreateDate

    public java.util.Date getCreateDate()

  - ### setCreateDate

    public void setCreateDate​(java.util.Date createDate)

  - ### setNpid

    public void setNpid​(int npid)

  - ### getNpid

    public int getNpid()

  - ### getCorrection

    public int getCorrection()

  - ### setCorrection

    public void setCorrection​(int correction)

  - ### getOrganization

    public Organization getOrganization()

  - ### setOrganization

    public void setOrganization​(Organization organization)

  - ### getBankAccount

    public BankAccount getBankAccount()

  - ### setBankAccount

    public void setBankAccount​(BankAccount bankAccount)